# ``twisted`.`logger`.`_format`.`CallMapping``

class documentation

`class CallMapping(MappingABC): (source)`

View In Hierarchy

Read-only mapping that turns a `()`-suffix in key names into an invocation of the key rather than a lookup of the key.

Implementation support for `formatWithCall`.

Method | `__getitem__` | Look up an item in the submapping for this `CallMapping`, calling it if `key` ends with `"()"`.
Method | `__init__` |
Method | `__iter__` | Undocumented
Method | `__len__` | Undocumented
Instance Variable | `_submapping` | Undocumented

def __getitem__(self, key): (source)
Look up an item in the submapping for this `CallMapping`, calling it if `key` ends with `"()"`.

Parameters
key:`str` | Undocumented
Returns
`Any` | Undocumented

def __init__(self, submapping): (source)

Parameters
submapping:`Mapping[str, Any]` | Another read-only mapping which will be used to look up items.

def __iter__(self): (source)

Undocumented

Returns
`Iterator` | Undocumented

def __len__(self): (source)

Undocumented

Returns
`int` | Undocumented

_submapping = (source)

Undocumented